Bug 1723413 - CVE-2019-10164 postgresql: stack-based buffer overflow via setting a password [fedora-all]
Summary: CVE-2019-10164 postgresql: stack-based buffer overflow via setting a password...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: postgresql
Version: 30
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Petr Kubat
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-10164
TreeView+ depends on / blocked
 
Reported: 2019-06-24 13:26 UTC by msiddiqu
Modified: 2019-08-04 01:06 UTC (History)
10 users (show)

Fixed In Version: postgresql-11.4-1.fc30 postgresql-10.9-1.fc29 postgresql-10-3020190712065154.a5b0195c postgresql-11-3020190717074535.a5b0195c postgresql-10-2920190712065154.6c81f848 postgresql-11-2920190717074535.6c81f848
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-26 00:59:50 UTC
Type: ---


Attachments (Terms of Use)

Description msiddiqu 2019-06-24 13:26:30 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 msiddiqu 2019-06-24 13:26:32 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1719698,1723413

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Petr Kubat 2019-07-09 12:33:16 UTC
libpq rebase done: https://src.fedoraproject.org/rpms/libpq/c/6d90478bbcbaf3c08cae6ae568ff1adf9d08ef10

Now moving to postgresql

Comment 3 Petr Kubat 2019-07-16 09:50:23 UTC
Rawhide builds blocked by libpq stuck in f31-pending (https://pagure.io/releng/issue/8536) and pgpool-II build failure (https://src.fedoraproject.org/rpms/postgresql-pgpool-II/pull-request/2)

Comment 4 Fedora Update System 2019-07-17 07:08:52 UTC
FEDORA-2019-9f04a701c0 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f04a701c0

Comment 5 Fedora Update System 2019-07-17 07:10:29 UTC
FEDORA-2019-e43f49b428 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e43f49b428

Comment 10 Fedora Update System 2019-07-18 00:42:32 UTC
libpq-11.4-1.fc30, postgresql-11.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f04a701c0

Comment 11 Fedora Update System 2019-07-18 03:35:49 UTC
postgresql-10.9-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e43f49b428

Comment 12 Fedora Update System 2019-07-26 00:59:50 UTC
libpq-11.4-1.fc30, postgresql-11.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-07-26 01:51:05 UTC
postgresql-10.9-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-07-26 05:31:34 UTC
FEDORA-MODULAR-2019-f647a0d003 has been submitted as an update to Fedora 29 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-f647a0d003

Comment 15 Fedora Update System 2019-07-26 05:34:05 UTC
FEDORA-MODULAR-2019-992e776796 has been submitted as an update to Fedora 30 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-992e776796

Comment 16 Fedora Update System 2019-07-26 05:41:04 UTC
FEDORA-MODULAR-2019-9324ac082e has been submitted as an update to Fedora 30 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-9324ac082e

Comment 17 Fedora Update System 2019-07-26 05:42:43 UTC
FEDORA-MODULAR-2019-b074736e4d has been submitted as an update to Fedora 29 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-b074736e4d

Comment 18 Fedora Update System 2019-07-27 00:11:58 UTC
postgresql-10-3020190712065154.a5b0195c has been pushed to the Fedora 30 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-992e776796

Comment 19 Fedora Update System 2019-07-27 00:12:00 UTC
postgresql-11-3020190717074535.a5b0195c has been pushed to the Fedora 30 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-9324ac082e

Comment 20 Fedora Update System 2019-07-27 02:32:08 UTC
postgresql-10-2920190712065154.6c81f848 has been pushed to the Fedora 29 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-f647a0d003

Comment 21 Fedora Update System 2019-07-27 02:32:11 UTC
postgresql-11-2920190717074535.6c81f848 has been pushed to the Fedora 29 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-b074736e4d

Comment 22 Fedora Update System 2019-08-04 00:17:09 UTC
postgresql-10-3020190712065154.a5b0195c has been pushed to the Fedora 30 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2019-08-04 00:17:13 UTC
postgresql-11-3020190717074535.a5b0195c has been pushed to the Fedora 30 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2019-08-04 01:06:33 UTC
postgresql-10-2920190712065154.6c81f848 has been pushed to the Fedora 29 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2019-08-04 01:06:37 UTC
postgresql-11-2920190717074535.6c81f848 has been pushed to the Fedora 29 Modular stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.